std::chrono::hh_mm_ss< _Duration >(3cxx)

NAME
std::chrono::hh_mm_ss< _Duration >

SYNOPSIS

#include <chrono>

  Public Types

using precision

  Public Member Functions

constexpr hh_mm_ss (_Duration __d)
constexpr chrono::hours hours () const noexcept
constexpr bool is_negative () const noexcept
constexpr chrono::minutes minutes () const noexcept
constexpr operator precision () const noexcept
constexpr chrono::seconds seconds () const noexcept
constexpr precision subseconds () const noexcept
constexpr precision to_duration () const noexcept

  Static Public Attributes

static constexpr unsigned fractional_width

  Friends

template<typename> struct __detail::__utc_leap_second

Detailed Description

  template<typename _Duration>
class std::chrono::hh_mm_ss< _Duration >"Utility for splitting a duration into hours, minutes, and seconds

This is a convenience type that provides accessors for the constituent parts (hours, minutes, seconds and subseconds) of a duration.

Since
    C++20

Author

Generated automatically by Doxygen for libstdc++ from the source code.